{"openapi":"3.1.0","paths":{"/formulas":{"get":{"operationId":"FormulaController_getAll","summary":"Get multiple formulas","parameters":[{"name":"datasource","required":false,"in":"query","schema":{"type":"string"}},{"name":"oids","required":false,"in":"query","description":"Relevant formula ids to fetch.","example":["925e8eae-c429-4f02-84da-1b1388ad19b9"],"schema":{"type":"array","items":{"type":"string"}}},{"name":"flat","required":false,"in":"query","description":"Should the formula return as flattened?","schema":{"type":"boolean"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"Successfuly fetched formulas","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FormulaResponseDto"}}}}},"403":{"description":"User does not have permission"}},"tags":["formulas"]},"post":{"operationId":"FormulaController_create","summary":"Create a new formula","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFormulaPayload"}}}},"responses":{"201":{"description":"Successfuly created a formula","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormulaResponseDto"}}}},"400":{"description":"Payload is invalid - formula was not created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpExceptionDto"}}}},"403":{"description":"User does not have permission"},"409":{"description":"Formula's title is already being used in the relevant datasource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpExceptionDto"}}}}},"tags":["formulas"]}},"/formulas/usage":{"get":{"operationId":"FormulaController_getFormulaUsage","summary":"Get multiple formulas usage data","parameters":[{"name":"oids","required":false,"in":"query","description":"Relevant formula ids to fetch.","example":["925e8eae-c429-4f02-84da-1b1388ad19b9"],"schema":{"type":"array","items":{"type":"string"}}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"Successfuly fetched formulas usage data","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FormulaUsageDto"}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Formulas were not found, usage data was not fetched.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpExceptionDto"}}}}},"tags":["formulas"]}},"/formulas/{formulaId}":{"get":{"operationId":"FormulaController_getByFormulaId","summary":"Get a specific formula by id","parameters":[{"name":"flat","required":false,"in":"query","description":"Should the formula return as flattened?","schema":{"type":"boolean"}},{"name":"Id","required":true,"in":"path","description":"Id of the relevant formula.","example":"925e8eae-c429-4f02-84da-1b1388ad19b9","schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"Successfuly fetched a formula.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormulaResponseDto"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Formula with given id was not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpExceptionDto"}}}}},"tags":["formulas"]},"patch":{"operationId":"FormulaController_update","summary":"Update an existing formula","parameters":[{"name":"flat","required":false,"in":"query","description":"Should the formula return as flattened?","schema":{"type":"boolean"}},{"name":"Id","required":true,"in":"path","description":"Id of the relevant formula.","example":"925e8eae-c429-4f02-84da-1b1388ad19b9","schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateFormulaPayload"}}}},"responses":{"200":{"description":"Formula was updated successfuly.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormulaResponseDto"}}}},"400":{"description":"Payload is invalid - formula was not updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpExceptionDto"}}}},"403":{"description":"User does not have permission"}},"tags":["formulas"]},"delete":{"operationId":"FormulaController_delete","summary":"Delete a formula","parameters":[{"name":"Id","required":true,"in":"path","description":"Id of the relevant formula.","example":"925e8eae-c429-4f02-84da-1b1388ad19b9","schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"204":{"description":"Formula was successfuly deleted."},"400":{"description":"Formula is being in widgets \\ dashboards \\ other formulas, and therefore cannot be deleted."},"403":{"description":"User does not have permission"}},"tags":["formulas"]}},"/live_connectors/{provider}/table_schema_details":{"post":{"tags":["live-connectors"],"summary":"Returns a table's schema","description":"The <strong>get table schema details</strong> endpoint returns a detailed schema of the table with columns.","operationId":"getLiveConnectorTableSchemaDetails","parameters":[{"name":"provider","in":"path","description":"The name of live connector provider.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionParameters"}}},"required":true},"responses":{"200":{"description":"Table schema","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TableSchema"}}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Api not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-permission-path":"manage/elasticubes/sql_manual_queries/get","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/live_connectors/{provider}/list_schemas":{"post":{"tags":["live-connectors"],"summary":"Returns a list of schemas in a database","description":"The <strong>list table schemas</strong> endpoint returns a list of available schemas in a specified database.","operationId":"getLiveConnectorSchemas","parameters":[{"name":"provider","in":"path","description":"The name of live connector provider.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionParameters"}}},"required":true},"responses":{"200":{"description":"List of schemas","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TableSchema"}}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Api not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/notebooks":{"get":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"put":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_2","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"post":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_1","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"delete":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_3","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"options":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_6","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}},"x-permission-type":"authenticate"},"head":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_5","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}},"x-permission-type":"authenticate"},"patch":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_4","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/live_connectors":{"get":{"tags":["live-connectors"],"summary":"Returns the list of available live connector services","description":"The <strong>get live connectors</strong> endpoint returns a list of connectors.","operationId":"getLiveConnectors","parameters":[{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"name":"includeIcon","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"An array of live connectors","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LiveConnector"}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Api not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/connection":{"get":{"tags":["connections"],"summary":"Returns a list of connections","description":"The <strong>get connection</strong> endpoint returns a list of configured connections.","operationId":"getAllConnections_1","parameters":[{"name":"sort","in":"query","description":"Field by which the results should be sorted. Ascending by default, descending if prefixed by -","required":false,"schema":{"type":"string"}},{"name":"skip","in":"query","description":"Number of results to skip from the start of the data set. skip is to be used with the limit parameter for paging","required":false,"schema":{"type":"integer","format":"int32"},"example":0},{"name":"limit","in":"query","description":"How many results should be returned. limit is to be used with the skip parameter for paging","required":false,"schema":{"type":"integer","format":"int32"},"example":0},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"List of connection objects","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataSource"}}}}},"403":{"description":"User does not have permission"}},"x-permission-path":"manage/connections/get","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/connection/{id}":{"get":{"tags":["connections"],"summary":"Returns a connection by its ID","description":"The <strong>get connection by ID</strong> endpoint returns a connection object by ID.","operationId":"getConnectionById","parameters":[{"name":"id","in":"path","description":"The ID of the live connection. You can retrieve this ID through the get /connection endpoint.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"Connection object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataSource"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Connection not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-permission-path":"manage/connections/get","x-permission-type":"general"},"delete":{"tags":["connections"],"summary":"Removes a connection","description":"The <strong>delete connection</strong> endpoint removes a connection by ID.","operationId":"deleteConnection_1","parameters":[{"name":"id","in":"path","description":"The ID of the live connection. You can retrieve this ID through the get /connection endpoint.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"204":{"description":"Connection were removed successfully","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"24004 Connection is in use","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"},"404":{"description":"24002 Connection not found","content":{"application/json":{"schema":{"type":"string"}}}}},"x-permission-path":"manage/connections/remove","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/connectors/{provider}/ui_config":{"get":{"tags":["connectors","live-connectors"],"summary":"Returns object that describes the UI connection manifest","description":"The <strong>get connector ui manifest</strong> endpoint returns connector ui manifest that describes ui render options for controls.","operationId":"getUiConfig","parameters":[{"name":"provider","in":"path","description":"The name of connector provider.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"Connector ui manifest","content":{"application/json":{"schema":{"type":"object"}}}},"403":{"description":"User does not have permission"},"404":{"description":"UI Manifest not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/live_connectors/{provider}/test_connection":{"post":{"tags":["live-connectors"],"summary":"Returns an object with status = OK after a successful connection","description":"Opens a connection through a specified connector to the datasource.","operationId":"liveConnectorTestConnection","parameters":[{"name":"provider","in":"path","description":"The name of live connector provider.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionParameters"}}},"required":true},"responses":{"200":{"description":"Connection status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionStatus"}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Api not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-permission-path":"manage/connections/get","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/live_connectors/{provider}/list_table_schemas":{"post":{"tags":["live-connectors"],"summary":"Returns a list of tables in a database","description":"The <strong>list table schemas</strong> endpoint returns a list of available tables in a specified database. Table schemas do not include column details.","operationId":"getLiveConnectorTableSchemas","parameters":[{"name":"provider","in":"path","description":"The name of live connector provider.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionParameters"}}},"required":true},"responses":{"200":{"description":"List of table schemas","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TableSchema"}}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Api not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/live_connectors/{provider}/table_preview":{"post":{"tags":["live-connectors"],"summary":"Returns data preview","description":"The <strong>get table preview</strong> endpoint returns a preview of the data in specified table.\nThis endpoint is deprecated. Please use: /connectors/{provider}/table_preview endpoint instead.","operationId":"getLiveConnectorPreview","parameters":[{"name":"provider","in":"path","description":"The name of live connector provider.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionParameters"}}},"required":true},"responses":{"200":{"description":"Data preview","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataPreview"}}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Api not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/connection/recent":{"get":{"tags":["connections"],"summary":"Returns recently used connection objects","description":"The <strong>list connections</strong> endpoint returns list of recently used connections.","operationId":"getRecentConnections","parameters":[{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"List of connection objects","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataSourceWithDuplicates"}}}}},"403":{"description":"User does not have permission"}},"x-permission-path":"manage/connections/get","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/live_connectors/{provider}/count":{"post":{"tags":["live-connectors"],"summary":"Returns count of entries in table","description":"The <strong>get table count</strong> endpoint returns the number of entries in a specified table.","operationId":"getLiveConnectorCount","parameters":[{"name":"provider","in":"path","description":"The name of live connector provider.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionParameters"}}},"required":true},"responses":{"200":{"description":"Amount of entries in table","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectorCount"}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Api not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/live_connectors/{provider}":{"get":{"tags":["live-connectors"],"summary":"Returns object that describes the connection manifest (parameters)","description":"The <strong>get live connector</strong> endpoint returns connector manifest that describes the parameters.","operationId":"getLiveConnectors_1","parameters":[{"name":"provider","in":"path","description":"The name of live connector provider.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"name":"includeIcon","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"Connector manifest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectorManifest"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Api not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/settings/translation":{"get":{"tags":["translator-utils-rest-controller"],"summary":"Returns translation settings","operationId":"getTranslationSetting","responses":{"200":{"description":"translation settings.","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not configured yet","content":{"application/json":{"schema":{"type":"string"}}}}},"x-permission-path":"manage/translation/get","x-permission-type":"general","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/notebooks/**":{"get":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_7","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"put":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_9","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"post":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_8","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"delete":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_10","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"options":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_13","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}},"x-permission-type":"authenticate"},"head":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_12","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}},"x-permission-type":"authenticate"},"patch":{"tags":["notebook-router-controller"],"operationId":"handleAllRequests_11","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User does not have permission"}},"x-permission-type":"authenticate","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/live_connectors/{provider}/list_databases":{"post":{"tags":["live-connectors"],"summary":"Returns list of databases","description":"The <strong>list databases</strong> endpoint returns a list of available databases in the connected instance.","operationId":"getLiveConnectorDatabases","parameters":[{"name":"provider","in":"path","description":"The name of live connector provider.","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","description":"The user’s API token preceded by the keyword Bearer (with space between it and the token). For more information, see API tutorial.","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionParameters"}}},"required":true},"responses":{"200":{"description":"List of databases","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Api not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/suggestions":{"post":{"x-swagger-router-controller":"suggestions/v1/suggestions.controller.v1","x-permission-type":"authenticate","operationId":"getSuggestions","summary":"Return suggestions for an entity","description":"Return **suggestions** for a data source or field.\n","tags":["suggestion"],"responses":{"200":{"description":"List of recommended items","content":{"application/json":{"schema":{"description":"Array of candidates to suggest","type":"object","properties":{"queryMetadata":{"description":"query metadata","type":"object","properties":{"target":{"description":"which items to look for suggestions","type":"array","items":{"type":"string"}},"popular":{"description":"include popular fields or not","type":"boolean"},"total":{"description":"total items which match query metadata","type":"number"},"skip":{"description":"number of skipped items","type":"number"},"count":{"description":"number of returned items","type":"number"}}},"suggestions":{"type":"array","description":"fields to suggest","items":{"type":"object","properties":{"item":{"type":"object","properties":{"_id":{"type":"string"},"table":{"type":"string"},"column":{"type":"string"},"dim":{"type":"string"},"datatype":{"type":"string"},"title":{"type":"string"},"merged":{"type":"boolean"},"fieldType":{"type":"string"},"columnTitle":{"type":"string"},"tableTitle":{"type":"string"}}},"dim":{"type":"string"},"probability":{"type":"number"},"probabilityType":{"type":"string"}}}}}}}}},"401":{"description":"No access allowed","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"allOf":[{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}},{"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"}}}]}}}}}}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"description":"The properties that define which object to return suggestions for. You can return suggestions for a data source or for a specific field within a data source.","required":true,"content":{"application/json":{"schema":{"description":"Properties to get suggestion items","type":"object","required":["type","datasource","fields"],"properties":{"datasource":{"description":"datasource name","type":"object"},"type":{"description":"define suggestion type [widgets]","type":"string"},"count":{"description":"how many items to return. By default 20","type":"number"},"fields":{"description":"which items to look for suggestions","type":"array","items":{"type":"object"}},"skip":{"description":"number of items to skip. By default 0","type":"number"},"popular":{"description":"include popular fields or not. By default true","type":"boolean"}}}}}}}},"/suggestions/status":{"get":{"x-swagger-router-controller":"suggestions/v1/suggestions.controller.v1","x-permission-type":"admins-only","operationId":"getStatus","summary":"Return status of suggestions","description":"The **suggestions status** used get actual status of suggestions\n","tags":["suggestion"],"responses":{"200":{"description":"Suggestions status","content":{"application/json":{"schema":{"description":"Status of suggestions","type":"object","properties":{"lastExecution":{"description":"Time when was last suggestions refresh.","type":"string"},"jobStatus":{"description":"Define job status.","type":"string"},"jobFrequent":{"description":"Job schedule in cron format.","type":"string"},"executionStatus":{"description":"Executions status of suggestions processes.","type":"boolean"}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Suggestion does not set","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}}},"parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]}},"/suggestions/refresh":{"post":{"x-swagger-router-controller":"suggestions/v1/suggestions.controller.v1","x-permission-type":"admins-only","operationId":"refreshSuggestions","summary":"Refresh suggestions data and ranking","description":"Refresh **suggestions** with actual data and ranking.\n","tags":["suggestion"],"responses":{"200":{"description":"Refresh suggestions status","content":{"application/json":{"schema":{"description":"Status of suggestions","type":"object","properties":{"message":{"description":"Information message.","type":"string"},"suggestionCode":{"description":"Suggestions code.","type":"number"}}}}}},"401":{"description":"No access allowed","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"allOf":[{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}},{"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"}}}]}}}}}}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"description":"The properties that define which part of suggestions refresh.","required":false,"content":{"application/json":{"schema":{"description":"Properties to refresh suggestions","type":"object","properties":{"data":{"description":"refresh suggestions data or not. By default false.","type":"boolean"},"ranking":{"description":"refresh suggestions ranking or not. By default false.","type":"boolean"}}}}}}}},"/suggestions/refresh/datasource":{"post":{"x-swagger-router-controller":"suggestions/v1/suggestions.controller.v1","x-permission-type":"admins-only","operationId":"refreshSuggestionsByDatasource","summary":"Refresh suggestions data and ranking by Datasource","description":"Refresh **suggestions** with actual data and ranking.\n","tags":["suggestion"],"responses":{"200":{"description":"Refresh suggestions status"},"401":{"description":"No access allowed","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"allOf":[{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}},{"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"}}}]}}}}}}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"description":"The datasource for which to refresh suggestions. Both \"title\" and \"address\" fields are required","required":true,"content":{"application/json":{"schema":{"description":"Datasource for which to refresh suggestions","type":"object","required":["datasource"],"properties":{"datasource":{"type":"object","required":["title","address"],"properties":{"title":{"type":"string"},"address":{"type":"string"}}}}}}}}}},"/data-exploration/status":{"get":{"x-swagger-router-controller":"/dataExploration/v1/dataExploration.controller.v1","x-permission-type":"admins-only","operationId":"getDataExplorationStatus","summary":"Return status of data exploration","description":"The data exploration status used get actual status of data exploration\n","tags":["data-exploration"],"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"Data exploration status","content":{"application/json":{"schema":{"description":"Status of data exploration","type":"object","properties":{"lastExecution":{"description":"Time when was last data exploration refresh.","type":"string"},"jobStatus":{"description":"Define job status.","type":"string"},"jobFrequent":{"description":"Job schedule in cron format.","type":"string"},"executionStatus":{"description":"Executions status of data exploration processes.","type":"boolean"}}}}}},"401":{"description":"No access allowed","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"allOf":[{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}},{"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"}}}]}}}}}}}}},"/data-exploration/refresh":{"post":{"x-swagger-router-controller":"/dataExploration/v1/dataExploration.controller.v1","x-permission-type":"admins-only","operationId":"refreshDataExploration","summary":"Refresh data exploration","description":"Refresh data exploration with actual data.\n","tags":["data-exploration"],"responses":{"200":{"description":"Refresh data exploration status","content":{"application/json":{"schema":{"description":"Trigger refresh of data exploration","type":"object","properties":{"message":{"description":"Information message.","type":"string"},"dataExplorationCode":{"description":"Data exploration code.","type":"number"}}}}}},"401":{"description":"No access allowed","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"allOf":[{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}},{"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"}}}]}}}}}}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"description":"The properties that define which part of data exploration to refresh.","required":false,"content":{"application/json":{"schema":{"description":"Properties to refresh data exploration","type":"object","properties":{"data":{"description":"refresh data exploration data or not. By default false.","type":"boolean"}}}}}}}},"/data-exploration/refresh/datasource":{"post":{"x-swagger-router-controller":"/dataExploration/v1/dataExploration.controller.v1","x-permission-type":"admins-only","operationId":"refreshDataExplorationByDatasource","summary":"Refresh data exploration by Datasource","description":"Refresh **data exploration** with actual data and ranking.\n","tags":["data-exploration"],"responses":{"200":{"description":"Refresh data exploration datasource"},"401":{"description":"No access allowed","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"allOf":[{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}},{"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"}}}]}}}}}}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"requestBody":{"description":"The datasource for which to refresh data exploration.","required":true,"content":{"application/json":{"schema":{"description":"Datasource for which to refresh suggestions","type":"object","required":["datasource"],"properties":{"datasource":{"type":"object","required":["title","address"],"properties":{"title":{"type":"string"},"address":{"type":"string"}}}}}}}}}},"/data-exploration/user-influences":{"get":{"x-swagger-router-controller":"/userInfluences/v1/userInfluences.controller.v1","x-permission-type":"none","x-hide":false,"operationId":"getUserInfluences","summary":"Returns user likes","description":"Returns user influences(watches/likes) on widgets from AI pop-up\n","tags":["data-exploration"],"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"query","name":"widget","description":"Widget oid","required":true,"schema":{"type":"string","pattern":"^[a-f\\d]{24}$"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"OK"},"403":{"description":"User does not have permission"}}}},"/elasticubes/servers/next":{"get":{"tags":["management-rest-controller"],"summary":"Get servers with next ECubes","operationId":"getServersWithNextECubes","parameters":[{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"count","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AllCubesDTO"}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"412":{"description":"Precondition Failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-type":"authenticate"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/elasticubes/servers/next/{server}/{cubeTitle}":{"get":{"tags":["management-rest-controller"],"summary":"Get Ecm Model of a specific elasticube","operationId":"getEcmModel","parameters":[{"name":"server","in":"path","required":true,"schema":{"type":"string"}},{"name":"cubeTitle","in":"path","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManagementServiceResponseEcmModel"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"412":{"description":"Precondition Failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"x-permission-path":"manage/elasticubes/get","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/elasticubes/servers/next/{server}/build":{"post":{"tags":["build-rest-controller"],"summary":"run build cube","operationId":"build","parameters":[{"name":"server","in":"path","required":true,"schema":{"type":"string"}},{"name":"buildType","in":"query","required":true,"schema":{"type":"string"}},{"name":"rowLimit","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"traceLevel","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"source","in":"query","required":false,"schema":{"type":"string","default":"NextECM"}},{"name":"schemaType","in":"query","required":false,"schema":{"type":"string","default":"schema-changes"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EcmModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int32"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/BuildErrorResponse"},{"$ref":"#/components/schemas/TranslationError"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}}},"x-permission-path":"manage/elasticubes/execute_build","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/elasticubes/next/getContextFromExpression":{"post":{"tags":["build-rest-controller"],"summary":"check auto complete for custom query","operationId":"getContextFromExpression","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TableSqlExpressionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ContextElement"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/BuildErrorResponse"},{"$ref":"#/components/schemas/TranslationError"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}}},"x-permission-path":"manage/elasticubes/execute_build","x-permission-type":"general","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/elasticubes/servers/next/{server}/explain_build":{"post":{"tags":["build-rest-controller"],"summary":"explain build without type","operationId":"explainBuildWithoutType","parameters":[{"name":"server","in":"path","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EcmModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExplainBuildElement"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/BuildErrorResponse"},{"$ref":"#/components/schemas/TranslationError"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}}},"x-permission-path":"manage/elasticubes/execute_build","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/elasticubes/servers/next/{server}/explain_build/{buildType}":{"post":{"tags":["build-rest-controller"],"summary":"explain build by build type","operationId":"explainBuild","parameters":[{"name":"server","in":"path","required":true,"schema":{"type":"string"}},{"name":"buildType","in":"path","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EcmModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExplainBuildElement"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/BuildErrorResponse"},{"$ref":"#/components/schemas/TranslationError"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}}},"x-permission-path":"manage/elasticubes/execute_build","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/elasticubes/next/runColumnQuery":{"post":{"tags":["build-rest-controller"],"summary":"check column query validation","operationId":"runColumnQuery","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TableSqlExpressionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Column"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/BuildErrorResponse"},{"$ref":"#/components/schemas/TranslationError"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}}},"x-permission-path":"manage/elasticubes/execute_build","x-permission-type":"general","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/elasticubes/servers/next/{server}/{dataSourceTitle}/isBuilding":{"get":{"tags":["build-rest-controller"],"summary":"Build contract: checks if there is running build for given data source","operationId":"isBuilding","parameters":[{"name":"server","in":"path","required":true,"schema":{"type":"string"}},{"name":"dataSourceTitle","in":"path","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/BuildErrorResponse"},{"$ref":"#/components/schemas/TranslationError"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}}},"x-permission-path":"manage/elasticubes/execute_build","x-permission-type":"general"},"x-permission-type":"none","x-unlimited-content-type":"true"},"/elasticubes/next/runTableQuery":{"post":{"tags":["build-rest-controller"],"summary":"check table query validation","operationId":"runTableQuery","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TableSqlExpressionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaDTO"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/BuildErrorResponse"},{"$ref":"#/components/schemas/TranslationError"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"403":{"description":"User does not have permission"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildErrorResponse"}}}}},"x-permission-path":"manage/elasticubes/execute_build","x-permission-type":"general","parameters":[{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}]},"x-permission-type":"none","x-unlimited-content-type":"true"},"/api/v1/credits/get-balance":{"get":{"description":"Returns the environment balance and sequence number, plus the per-tenant, per-group, and per-feature usage breakdown, each capped to the top 20 entries by credits. The breakdown covers the period given by the optional period query parameter, defaulting to the current month (month-to-date).","operationId":"ConsumptionController_getBalanceForFB","parameters":[{"name":"period","required":false,"in":"query","description":"The 'YYYY-MM' month to report the usage breakdown for. Defaults to the current month. Periods older than the consumed-state retention window return empty breakdown arrays, since those documents have been auto-expired.","schema":{"pattern":"PERIOD_PATTERN","example":"2026-06","type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"Balance, sequence number, and usage breakdown fetched successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetBalanceResponseDto"}}}},"403":{"description":"User does not have permission"}},"summary":"Get balance and sequence number for fusionBox requests","tags":["credits","api"]}},"/api/v1/credits/monthlyReport":{"get":{"operationId":"ConsumptionController_getMonthlyReport","parameters":[{"name":"month","required":false,"in":"query","description":"Month in YYYY-MM format","schema":{"example":"2025-10","type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonthlyReportResponse"}}}},"403":{"description":"User does not have permission"}},"summary":"Get Monthly Report","tags":["credits","api"]}},"/elasticubes/{server}/{title}/updateCube":{"post":{"x-permission-type":"data-admins-only","operationId":"updateCube","summary":"Update ElastiCube","description":"The *Update ElastiCube* endpoint updating ElastiCube object.\n","tags":["elasticubes"],"responses":{"200":{"description":"Update operation was successful"},"403":{"description":"User does not have permission"},"404":{"description":"Resource Not Found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"allOf":[{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}},{"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"}}}]}}}}}}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"path","description":"The server of the ElastiCube","name":"server","required":true,"schema":{"type":"string"}},{"in":"path","description":"The title of the ElastiCube","name":"title","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"x-swagger-router-controller":"elasticubes/v1/elasticubes.controller.v1","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"fiscal":{"type":"string","description":"Fiscal Year.","enum":["system","jan","feb","mar","apr","may","jun","jul","aug","sep","oct","nov","dec"]}}}}}}}},"/elasticubes/getElasticubes":{"get":{"x-permission-type":"authenticate","operationId":"getAllElasticubes","summary":"Get ElastiCubes","description":"The **get Elasticubes Model** endpoint returns an array of ElastiCube Models.\n","tags":["elasticubes"],"responses":{"200":{"description":"- An Array of ElastiCube Models.\n"},"403":{"description":"User does not have permission"}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"x-swagger-router-controller":"elasticubes/v1/elasticubes.controller.v1"},"post":{"x-permission-type":"authenticate","operationId":"getElasticubes","summary":"Get ElastiCube","description":"The **get Elasticubes Model** endpoint returns an array of ElastiCube Models.\n","tags":["elasticubes"],"x-web-access-token-permission":true,"responses":{"200":{"description":"- An Array of ElastiCube Models.\n"},"403":{"description":"User does not have permission"}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"x-swagger-router-controller":"elasticubes/v1/elasticubes.controller.v1","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"elasticube":{"type":"string"},"server":{"type":"string"}}}}}}}}},"/elasticubes/getElasticubesWithMetadata":{"x-hide":true,"post":{"x-permission-type":"data-admins-only","operationId":"getElasticubesWithMetadata","summary":"Get ElastiCubes with metadata","description":"Get the array of the ElastiCube Models with metadata by server/elasticube pairs\n","tags":["elasticubes"],"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"- An Array of ElastiCube Models with metadata.\n","content":{"application/json":{"schema":{"type":"array","items":{"allOf":[{"type":"object","properties":{"_id":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"creator":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"datasets":{"type":"array","items":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"}},"server":{"type":"string"},"title":{"type":"string"},"type":{"type":"string"},"fiscal":{"type":"string"},"relationType":{"type":"string"},"buildDestination":{"type":"object","properties":{"destination":{"type":"string"}}},"shares":{"type":"array","items":{"type":"object","required":["type"],"properties":{"partyId":{"type":"string"},"type":{"type":"string"},"permission":{"type":"string","enum":["a","r","w"]}}}},"lastUpdated":{"type":"string","format":"date-time"}}},{"type":"object","properties":{"status":{"type":"array","items":{"type":"string"}},"dataGroupName":{"type":"string"},"sizeInMb":{"type":"number"}}}]}}}}},"403":{"description":"User does not have permission"}},"x-swagger-router-controller":"elasticubes/v1/elasticubes.controller.v1","requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"elasticube":{"type":"string"},"server":{"type":"string"}}}}}}}},"get":{"x-permission-type":"data-admins-only","operationId":"listElasticubesWithMetadata","summary":"Get ElastiCubes with metadata","description":"The **get Elasticubes Model** endpoint returns an array of ElastiCube Models with metadata.\n","tags":["elasticubes"],"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"- An Array of ElastiCube Models with metadata.\n","content":{"application/json":{"schema":{"type":"array","items":{"allOf":[{"type":"object","properties":{"_id":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"creator":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"datasets":{"type":"array","items":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"}},"server":{"type":"string"},"title":{"type":"string"},"type":{"type":"string"},"fiscal":{"type":"string"},"relationType":{"type":"string"},"buildDestination":{"type":"object","properties":{"destination":{"type":"string"}}},"shares":{"type":"array","items":{"type":"object","required":["type"],"properties":{"partyId":{"type":"string"},"type":{"type":"string"},"permission":{"type":"string","enum":["a","r","w"]}}}},"lastUpdated":{"type":"string","format":"date-time"}}},{"type":"object","properties":{"status":{"type":"array","items":{"type":"string"}},"dataGroupName":{"type":"string"},"sizeInMb":{"type":"number"}}}]}}}}},"403":{"description":"User does not have permission"}},"x-swagger-router-controller":"elasticubes/v1/elasticubes.controller.v1"}},"/elasticubes/permissionsCheck":{"post":{"x-permission-type":"general","x-permission-path":"elasticubes/check_users_permission","operationId":"permissionsCheck","summary":"Check elasticubes permissions","tags":["elasticubes"],"description":"Check elasticubes/dataset permission across users and groups\n","parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"responses":{"200":{"description":"Permision verification result.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"dataset":{"type":"string"},"server":{"type":"string"},"elasticube":{"type":"string"},"allMembersAllowed":{"type":"boolean"},"users":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"accessAllowed":{"type":"boolean"},"email":{"type":"string"}}}},"groups":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"accessAllowed":{"type":"boolean"},"name":{"type":"string"}}}}}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Resource Not Found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"allOf":[{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}},{"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"}}}]}}}}}},"500":{"description":"- **500** Internal Server Error\n","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}}},"x-swagger-router-controller":"elasticubes/v1/elasticubes.controller.v1","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","required":["users","groups"],"properties":{"dataset":{"type":"string"},"server":{"type":"string"},"elasticube":{"type":"string"},"users":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"email":{"type":"string"}}}},"groups":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}}}}}}}}}}},"/elasticubes/live":{"get":{"x-permission-type":"data-admins-only","x-roles-allowed":"tenantAdmin","operationId":"getAll","summary":"Returns a list of live elasticubes","description":"The **get live elasticubes** endpoint provides access to live elasticubes in their stored format as `JSON` objects.\n<br/><br/>The expandable field for the data object is `dataset`.\n","tags":["elasticubes"],"responses":{"200":{"description":"An array of live elasticubes","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","required":["title"],"properties":{"_id":{"type":"string"},"title":{"type":"string"},"shares":{"type":"array","items":{"type":"object","required":["partyId","permission","type"],"properties":{"partyId":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"permission":{"type":"string","enum":["a","r","w"]},"type":{"type":"string","enum":["user","group"]}}}},"datasets":{"type":"array","items":{"type":"string"}},"oid":{"type":"string","format":"uuid"},"lastUpdated":{"type":"string"},"type":{"type":"string"},"creator":{"type":"string"}}}}}}},"403":{"description":"User does not have permission"}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"name":"type","in":"query","description":"Filters dataset by type","required":false,"schema":{"type":"string","enum":["live","extract","custom"]}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"x-swagger-router-controller":"liveElasticubes/v1/liveElasticubes.controller.v1"}},"/elasticubes/live/{oid}":{"get":{"x-permission-type":"authenticate","operationId":"getByOid","summary":"Returns a live elasticube by oid","description":"The **get live elasticube** endpoint returns a live elasticube object by oid.\n","tags":["elasticubes","live"],"responses":{"200":{"description":"Live elasticube object","content":{"application/json":{"schema":{"type":"object","required":["title"],"properties":{"_id":{"type":"string"},"title":{"type":"string"},"shares":{"type":"array","items":{"type":"object","required":["partyId","permission","type"],"properties":{"partyId":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"permission":{"type":"string","enum":["a","r","w"]},"type":{"type":"string","enum":["user","group"]}}}},"datasets":{"type":"array","items":{"type":"string"}},"oid":{"type":"string","format":"uuid"},"lastUpdated":{"type":"string"},"type":{"type":"string"},"creator":{"type":"string"}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Live elasticube not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"allOf":[{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}},{"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"}}}]}}}}}}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"path","description":"The oid of the dataset.","name":"oid","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"x-swagger-router-controller":"liveElasticubes/v1/liveElasticubes.controller.v1"}},"/elasticubes/live/by_title/{title}":{"get":{"x-permission-type":"authenticate","operationId":"getByTitle","summary":"Returns a live elasticube by its title","description":"The **get live elasticube by title** endpoint returns a live elasticube object by its title property.\n<br/><br/>The expandable field for the live elasticube object is `dataset`. The expanded dataset has expanded connection\n","tags":["live","elasticubes"],"x-web-access-token-permission":true,"responses":{"200":{"description":"Live elasticube object","content":{"application/json":{"schema":{"type":"object","required":["title"],"properties":{"_id":{"type":"string"},"title":{"type":"string"},"shares":{"type":"array","items":{"type":"object","required":["partyId","permission","type"],"properties":{"partyId":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"permission":{"type":"string","enum":["a","r","w"]},"type":{"type":"string","enum":["user","group"]}}}},"datasets":{"type":"array","items":{"type":"string"}},"oid":{"type":"string","format":"uuid"},"lastUpdated":{"type":"string"},"type":{"type":"string"},"creator":{"type":"string"}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Live elasticube not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"allOf":[{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}},{"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"}}}]}}}}}}},"parameters":[{"in":"path","description":"The live elasticube's title","name":"title","required":true,"schema":{"type":"string"}},{"name":"expand","in":"query","description":"List of fields that should be expanded (substitures their IDs with actual objects). May be nested using the `resource.subResource` format","required":false,"schema":{"type":"string"}},{"name":"fields","in":"query","description":"Whitelist of fields to return for each document. fields Can also define which fields to exclude by prefixing field names with `-`","required":false,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"},{"description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","in":"header","name":"authorization","pattern":"^Bearer .*","required":false,"type":"string"}],"x-swagger-router-controller":"liveElasticubes/v1/liveElasticubes.controller.v1"}},"/elasticubes/live/{elasticubeOid}/manifests":{"get":{"x-permission-type":"data-admins-only","x-roles-allowed":"tenantAdmin","operationId":"getElasticubeManifests","summary":"Returns a list of elasticube's manifests","description":"The **get elasticube manifests** endpoint provides access to elasticube manifests in their stored format as `JSON` objects.\n","tags":["elasticubes"],"responses":{"200":{"description":"An array of elasticube manifests","content":{"application/json":{"schema":{"type":"array","items":{"type":"object"}}}}},"403":{"description":"User does not have permission"}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"path","description":"The oid of the elasticube.","name":"elasticubeOid","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"x-swagger-router-controller":"liveElasticubes/v1/liveElasticubes.controller.v1"}},"/elasticubes/live/{oid}/permissions":{"get":{"x-permission-type":"data-admins-only","x-roles-allowed":"tenantAdmin","operationId":"getPermissions","summary":"Returns the live elasticube permissions by its oid","description":"The **get live elasticube permissions** endpoint returns the permissions for a live elasticube.\n","tags":["elasticubes","live"],"responses":{"200":{"description":"live elasticube permissions","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","required":["partyId","permission","type"],"properties":{"partyId":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"permission":{"type":"string","enum":["a","r","w"]},"type":{"type":"string","enum":["user","group"]}}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Live elasticube not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"allOf":[{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}},{"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"}}}]}}}}}}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"path","description":"The oid of the dataset.","name":"oid","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"x-swagger-router-controller":"liveElasticubes/v1/liveElasticubes.controller.v1"},"patch":{"x-permission-type":"data-admins-only","x-roles-allowed":"tenantAdmin","operationId":"setPermissions","summary":"Updates a live elasticube's permissions","description":"The **update live elasticube permissions** endpoint updates the live elasticube with the fetched permissions.\n","tags":["elasticubes","live"],"responses":{"200":{"description":"Updated permissions","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","required":["partyId","permission","type"],"properties":{"partyId":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"permission":{"type":"string","enum":["a","r","w"]},"type":{"type":"string","enum":["user","group"]}}}}}}},"400":{"description":"Bad request error.\n- **29001** Permission error\n- **27005** User not found\n- **27006** Group not found\n"},"403":{"description":"User does not have permission"},"404":{"description":"Dataset not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"path","description":"The oid of the live elasticube.","name":"oid","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"x-swagger-router-controller":"liveElasticubes/v1/liveElasticubes.controller.v1","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","required":["partyId","permission","type"],"properties":{"partyId":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"permission":{"type":"string","enum":["a","r","w"]},"type":{"type":"string","enum":["user","group"]}}}}}}}}},"/elasticubes/live/{title}/datasecurity":{"get":{"x-permission-type":"data-admins-only","operationId":"getDataContextForLiveElasticube","summary":"Returns the data security rules set up for a live elasticube","description":"The **get data security** endpoint returns the data security rules set up for a live elasticube.\n","tags":["elasticubes","live"],"responses":{"200":{"description":"Data Security rules for live elasticube","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","required":["_id","dataSourceId","allMembers","members","shares","datatype","table","column","live","fullname"],"properties":{"_id":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"dataSourceId":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"allMembers":{"type":"boolean","nullable":true},"exclusionary":{"type":"boolean"},"members":{"type":"array","items":{"type":"string"}},"shares":{"type":"array","items":{"type":"object","required":["type"],"properties":{"partyId":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"type":{"type":"string","enum":["user","group","default"]}}}},"datatype":{"type":"string","enum":["text","numeric"]},"table":{"type":"string"},"column":{"type":"string"},"live":{"type":"boolean"},"fullname":{"type":"string"}}}}}}},"403":{"description":"User does not have permission"},"404":{"description":"Dataset not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).","name":"authorization","required":false,"schema":{"type":"string","pattern":"^Bearer .*"}},{"in":"path","description":"The live elasticube's title","name":"title","required":true,"schema":{"type":"string"}},{"in":"header","description":"Used to define the Tenant ID on behalf of whom the operation will be executed","name":"x-tenant-id","required":false,"type":"string"}],"x-swagger-router-controller":"datacontext/v1/datacontext.controller.v1"},"post":{"x-permission-type":"data-admins-only","operationId":"addDataContextForLiveElasticube","summary":"Defines data security rules for a live elasticube","description":"The **create data context** endpoint creates new data context object\n","tags":["elasticubes","live"],"responses":{"201":{"description":"No response was specified","content":{"application/json":{"schema":{"type":"object","required":["_id","dataSourceId","allMembers","members","shares","datatype","table","column","live","fullname"],"properties":{"_id":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"dataSourceId":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"allMembers":{"type":"boolean","nullable":true},"exclusionary":{"type":"boolean"},"members":{"type":"array","items":{"type":"string"}},"shares":{"type":"array","items":{"type":"object","required":["type"],"properties":{"partyId":{"type":"string","pattern":"^[0-9a-fA-F]{24}$"},"type":{"type":"string","enum":["user","group","default"]}}}},"datatype":{"type":"string","enum":["text","numeric"]},"table":{"type":"string"},"column":{"type":"string"},"live":{"type":"boolean"},"fullname":{"type":"string"}}}}}},"400":{"description":"Bad request error.\n- **30001** Invalid default rule\n- **30003** Duplicate user or group\n- **30004** User or group not found\n"},"403":{"description":"User does not have permission"},"404":{"description":"Live elasticube not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"status":{"type":"integer"},"httpMessage":{"type":"string"}}}}}}}}},"parameters":[{"in":"header","description":"The user's API token preceded by the keyword `Bearer ` (with space between it and the token). For more information, see [API tutorial](http://developer.sisense.com/display/API2/Using+the+REST+API).
[...]
